LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Modules | Variables
FunctionCategory.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sheet
| Spreadsheet specific interfaces.

## Constant Groups
constants | com::sun::star::sheet::FunctionCategory
| used to specify the category of a spreadsheet function.

## Variables
const long | DATABASE = 1
| specifies a database function.
const long | DATETIME = 2
| specifies a function that calculates with dates and/or times.
const long | FINANCIAL = 3
| specifies a financial function.
const long | INFORMATION = 4
| specifies a function that returns information about the cell, the cell contents or the current formula.
const long | LOGICAL = 5
| specifies a boolean function.
const long | MATHEMATICAL = 6
| specifies a common mathematical function
const long | MATRIX = 7
| specifies a matrix function.
const long | STATISTICAL = 8
| specifies a statistical function
const long | SPREADSHEET = 9
| specifies a function that returns information using the spreadsheet contents or specific cell positions.
const long | TEXT = 10
| specifies a text function.
const long | ADDIN = 11
| specifies a common add-in function.